Subject: RE: [Policy] Re: draft-reyes-policy-core-ext-schema-03.txt

From: John Strassner <[email-masked]>
Date: Mon, 15 Sep 2003 07:14:30 -0600

I've been away for awhile, but am commenting because Bert asked for comments
from the original authors.

I agree with Larry and Ryan. There is no technical justification for
deprecating these classes. In rereading the draft, I would go further and
state that there some of the restructuring may not be a good idea; however,
I want to reread this one last time and then I will provide detailed
comments.

Finally, Kurt is absolutely correct - deprecation is inappropriate in an
LDAP schema standards document.

regards,
John

John C. Strassner
Chief Strategy Officer
Intelliden Inc.
90 South Cascade Avenue
Colorado Springs, CO  80906  USA
phone:  +1.791.785.0648
  fax:     +1.719.785.0644
email:    [email-masked]

> -----Original Message-----
> From: Larry S. Bartz [mailto:[email-masked]]
> Sent: Friday, August 29, 2003 3:24 PM
> To: Wijnen, Bert (Bert)
> Cc: [email-masked]
> Subject: Re: [Policy] Re: draft-reyes-policy-core-ext-schema-03.txt
> 
> Wijnen, Bert (Bert) wrote, On 08/29/03 10:14:
> > What an underwhelming interest in this document.
> >
> > When I start reading it, I see in the abstract:
> >    This document defines a number of changes and extensions to
> the
> >    Policy Core LDAP Schema [PCLS] based on the specifications of
> the
> >    Policy Core Information Model Extensions [PCIM_EXT]. The
> changes
> >    include additional object classes previously not covered,
> deprecation
> >    of some object classes and changes to the object class
> hierarchy
> >    defined in [PCLS].
> >
> > And so I immediately wonder... is it really OK that this document
> > deprecates some object classes ??
> >
> > Possibly so... but I'd like to hear some of the PCIM, PCIM-EXT
> and
> > PCLS authors/ediotrs to explicitly say so. PLEASE!
> >
> > Thanks,
> > Bert
> 
> 
> I argued several months ago that it is actually unnecessary to
> deprecate any of PCLS's information components. There are no
> naming clashes with PCLS components. The proposed deprecation
> only insures that PCLS and this schema will not be able to
> co-exist in the same Directory implementations. This is counter
> to the spirit of "extension". It casts a negative light on an
> elegant and highly serviceable information model and schema
> definition.
> 
> Further, another commenter (I believe it was Kurt Zielenga)
> asserted
> that the specification of deprecation is inappropriate in a schema
> standards document. Rather, deprecation is to be asserted by
> Directory service implementers in the course of managing instances
> of the Directory service.
> 
> --
> --
> #::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
> ::::|
> # Larry Bartz
> #
> #  voice (317) 226-7060
> #  FAX   (317) 226-6378
> #::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
> ::::|
> 
> 
> _______________________________________________
> Policy mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/policy